Package com.logicaldoc.core.i18n

# Class LanguageManager

java.lang.Object
com.logicaldoc.core.i18n.LanguageManager

public class LanguageManager extends Object
A manager for all supported languages. It's internals are initialized from the extension point 'Language' of the core plugin.

Since:
  3.0.3
Author:
  Alessandro Gasparini - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`addLanguage(Locale locale, Language lang)`
`List<Language>`
`getActiveLanguages(String tenantName)`
`static LanguageManager`
`getInstance()`
`Language`
`getLanguage(Locale locale)`
Retrieves the Language for the given language Null is returned if the corresponding Language could not be found
`List<Language>`
`getLanguages()`
`List<String>`
`getLanguagesAsString(String tenantName)`
`void`
`init()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### init

public void init()

### getInstance

public static LanguageManager getInstance()

### getLanguages

public List<Language> getLanguages()

### getActiveLanguages

public List<Language> getActiveLanguages(String tenantName)

### getLanguage

public Language getLanguage(Locale locale)
Retrieves the Language for the given language Null is returned if the corresponding Language could not be found

Parameters:
  `locale` - The language to retrieve the language for
Returns:
  A Language object

### addLanguage

public void addLanguage(Locale locale, Language lang)

### getLanguagesAsString

public List<String> getLanguagesAsString(String tenantName)